image: node:14

stages:
  - test

default:
  before_script:
    - npm ci

cache:
  paths:
    - node_modules/

test-unit:
  stage: test
  script:
    - npm run test:unit
  rules:
    - changes:
      - src/**/*
      - "*.json"
      - "*.js"
